# SDK安装

- github地址：https://github.com/aliyun/aliyun-oss-go-sdk
- API文档地址：https://godoc.org/github.com/aliyun/aliyun-oss-go-sdk/oss

### 要求

- 开通阿里云OSS服务，并创建了AccessKeyId 和AccessKeySecret。
- 如果您还没有开通或者还不了解阿里云OSS服务，请登录
  [OSS产品主页](http://www.aliyun.com/product/oss)了解。
- 如果还没有创建AccessKeyId和AccessKeySecret，请到
  [阿里云Access Key管理](https://ak-console.aliyun.com/#/accesskey)创
  建Access Key。
- 您已经安装了Go编译运行环境。如果您未安装，请参考[Go安装](https://golang.org/doc/install/source)下载安装编译运行环境。
  下载安装Go编译运行环境。Go安装完毕后请正确设置GOPATH变量，如果您需要了解更多GOPATH，请执行命令`go help gopath`。
  
### 安装

#### GitHub安装

>
> - 执行命令`go get github.com/aliyun/aliyun-oss-go-sdk/oss`获取远程代码包。
> - 在您的代码中使用`import "github.com/aliyun/aliyun-oss-go-sdk/oss"`引入OSS Go SDK的包。
> - 如果您需要查看示例程序，请到`https://github.com/aliyun/aliyun-oss-go-sdk/`下的sample目录。
>

> 提示：
> 
> - 使用`go get`命令安装过程中，界面不会打印提示，如果网络较差，需要一段时间，请耐心等待。如果安装过程中发生超时，请再次执行`go get`安装。 
> - 安装成功后，在您的安装路径下（即GOPATH变量中的第一个路径）,会有Go Sdk的库`pkg/linux_amd64/github.com/aliyun/aliyun-oss-go-sdk/oss.a`(win在`pkg\windows_amd64\github.com\aliyun\aliyun-oss-go-sdk\oss.a`)，
源文件在`src/github.com/aliyun/aliyun-oss-go-sdk`，如果没有请重新安装。
>

### 运行sample

#### GitHub安装运行sample
> - 拷贝示例文件。到OSS Go SDK的安装路径（即GOPATH变量中的第一个路径），进入OSS Go SDK的代码目录`src\github.com\aliyun\aliyun-oss-go-sdk`，
把其下的sample目录和sample.go复制到您的测试工程src目录下。
> - 修改sample/config.go里的endpoint、AccessKeyId、AccessKeySecret、BucketName等配置。
> - 请在您的工程目录下执行`go run src/sample.go`。
