# 托管静态网站（Website）

在[自定义域名绑定]({{doc/[5]SDK/Ruby-SDK/自定义域名绑定.md}})中提到，OSS
允许用户将自己的域名指向OSS服务的地址。这样用户访问他的网站的时候，实
际上是在访问OSS的Bucket。对于网站，需要指定首页(index)和出错页(error)
分别对应的Bucket中的文件名。

更多关于静态网站托管的内容请参考 [OSS静态网站托管]({{doc/[8]用户手册/静态网站托管.md}})

## 设置托管页面

通过`Client.SetBucketWebsite`来设置托管页面：

```go
    import "github.com/aliyun/aliyun-oss-go-sdk/oss"
    
    client, err := oss.New("Endpoint", "AccessKeyId", "AccessKeySecret")
    if err != nil {
        // HandleError(err)
    }
    
    // bucketName:"my-bucket", indexWebsite:"index.html", errorWebsite:"error.html"
    err = client.SetBucketWebsite("my-bucket", "index.html", "error.html")
    if err != nil {
        // HandleError(err)
    }
```

## 查看托管页面

通过`Client.GetBucketWebsite`来查看托管页面：

```go
    import "fmt"
    import "github.com/aliyun/aliyun-oss-go-sdk/oss"
    
    client, err := oss.New("Endpoint", "AccessKeyId", "AccessKeySecret")
    if err != nil {
        // HandleError(err)
    }
    
    wsRes, err := client.GetBucketWebsite("my-bucket")
    if err != nil {
        // HandleError(err)
    }

    fmt.Println("indexWebsite:", wsRes.IndexDocument.Suffix, 
                "errorWebsite:", wsRes.ErrorDocument.Key)
```

## 清除托管页面

通过`Client.DeleteBucketWebsite`来清除托管页面：

```go
    import "github.com/aliyun/aliyun-oss-go-sdk/oss"
    
    client, err := oss.New("Endpoint", "AccessKeyId", "AccessKeySecret")
    if err != nil {
        // HandleError(err)
    }
    
    err = client.DeleteBucketWebsite("my-bucket")
    if err != nil {
        // HandleError(err)
    }
```
